QGIS Application - Feature request #2687
Variable Snapping Marker Size
2010-04-30 01:16 PM - sandinog -

Status: Open

Priority: Low

Assignee: nobody -

Category: Digitising

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 12747
Description

I'd like to see vertex markers, if snapping is set to pixels, be a radius of the number of pixels generally set or set for the layer being edited;
and if snapping is by scale distance, be a minimum of three pixels wide, and as a maximum, the radius of the distance set for snapping.
So, if you're zoomed wide, the markers would be wide spots on the lines, and if you're zoomed in close, particularly with vertices close
together, you could pick a spot where only the vertex you want to affect will be selected.

It would also be nice if the circle could change color when the mouse is within it, so you can tell that snapping is active, working, and your
next click will snap to the vertex you want to snap to, and not just where the mouse click occurs, or the wrong vertex.

History

#1 - 2010-06-11 11:34 PM - Paolo Cavallini

Duplicate of #1547 (see)

#2 - 2011-12-16 01:56 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#5 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No
- Pull Request or Patch supplied set to No
